org.apache.olingo.commons.api.edm.provider

## Class CsdlReturnType

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlReturnType

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlReturnType
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  The type Csdl return type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlReturnType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `Integer` | `getMaxLength()` Gets max length.
    `Integer` | `getPrecision()` Gets precision.
    `Integer` | `getScale()` Gets scale.
    `SRID` | `getSrid()` Gets srid.
    `String` | `getType()` Gets type.
    `FullQualifiedName` | `getTypeFQN()` Gets type fQN.
    `boolean` | `isCollection()` Is collection.
    `boolean` | `isNullable()` Is nullable.
    `CsdlReturnType` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets annotations.
    `CsdlReturnType` | `setCollection(boolean isCollection)` Sets collection.
    `CsdlReturnType` | `setMaxLength(Integer maxLength)` Sets max length.
    `CsdlReturnType` | `setNullable(boolean nullable)` Sets nullable.
    `CsdlReturnType` | `setPrecision(Integer precision)` Sets precision.
    `CsdlReturnType` | `setScale(Integer scale)` Sets scale.
    `CsdlReturnType` | `setSrid(SRID srid)` Sets srid.
    `CsdlReturnType` | `setType(FullQualifiedName type)` Sets type.
    `CsdlReturnType` | `setType(String type)` Sets type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlReturnType

          public CsdlReturnType()

  - ### Method Detail

    - #### getType

          public String getType()

      Gets type.
      Returns:
        the type

    - #### getTypeFQN

          public FullQualifiedName getTypeFQN()

      Gets type fQN.
      Returns:
        the type fQN

    - #### setType

          public CsdlReturnType setType(String type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### setType

          public CsdlReturnType setType(FullQualifiedName type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### isCollection

          public boolean isCollection()

      Is collection.
      Returns:
        the boolean

    - #### setCollection

          public CsdlReturnType setCollection(boolean isCollection)

      Sets collection.
      Parameters:
        `isCollection` - the is collection
      Returns:
        the collection

    - #### isNullable

          public boolean isNullable()

      Is nullable.
      Returns:
        the boolean

    - #### setNullable

          public CsdlReturnType setNullable(boolean nullable)

      Sets nullable.
      Parameters:
        `nullable` - the nullable
      Returns:
        the nullable

    - #### getMaxLength

          public Integer getMaxLength()

      Gets max length.
      Returns:
        the max length

    - #### setMaxLength

          public CsdlReturnType setMaxLength(Integer maxLength)

      Sets max length.
      Parameters:
        `maxLength` - the max length
      Returns:
        the max length

    - #### getPrecision

          public Integer getPrecision()

      Gets precision.
      Returns:
        the precision

    - #### setPrecision

          public CsdlReturnType setPrecision(Integer precision)

      Sets precision.
      Parameters:
        `precision` - the precision
      Returns:
        the precision

    - #### getScale

          public Integer getScale()

      Gets scale.
      Returns:
        the scale

    - #### setScale

          public CsdlReturnType setScale(Integer scale)

      Sets scale.
      Parameters:
        `scale` - the scale
      Returns:
        the scale

    - #### getSrid

          public SRID getSrid()

      Gets srid.
      Returns:
        the srid

    - #### setSrid

          public CsdlReturnType setSrid(SRID srid)

      Sets srid.
      Parameters:
        `srid` - the srid
      Returns:
        the srid

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlReturnType setAnnotations(List<CsdlAnnotation> annotations)

      Sets annotations.
      Parameters:
        `annotations` - the annotations
      Returns:
        the annotations

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.